print("Hello from a lua script!")

function init()
   print("Hello from \"init\"")
   couch.debug("init")
   couch.say_hello("dane", "Hi!")
end

function update(delta)
   local transform = couch.root:find_node("cube"):get_transform()
   transform.rotation[2] = transform.rotation[2] + delta
   transform.rotation[1] = transform.rotation[1] - delta * 0.3
   couch.root:find_node("cube"):set_transform(transform)
end
